BODY {background-color: linen;}

h1 {
      text-align: center;
      background-color: lightgrey;
}

h2 {
   text-align: center;
   background-color: lightgreen;
}

.class {
       color: green;
}

.resource {
     color: red;
}

.node {
     color: orange;
}

.fs {
   display: table;		
   border: thin black solid;
   background-color: lightBlue;
   border-collapse: separate;	
   padding-left: 1ex;
   padding-right: 1ex;
   padding-top: 1ex;
   padding-bottom: 1ex;
   margin-top: 1ex;
}

.pguard {
   display: table;		
   border-left: thick black solid;
   background-color: lightGreen;
   border-collapse: separate;	
   padding-left: 1ex;
   padding-right: 1ex;
   padding-top: 1ex;
   padding-bottom: 1ex;
   margin-top: 1ex;
}

.nguard {
   display: table;		
   border-left: thick black solid;
   background-color: orangered;
   border-collapse: separate;	
   padding-left: 1ex;
   padding-right: 1ex;
   padding-top: 1ex;
   padding-bottom: 1ex;
   margin-top: 1ex;
}

.xguard {
  background-color: blue;
}

.var fs {
   display: inline;
}

.fv {
   display: table-row-group;
}

.feature {
   display: table-cell;
   color: red;
   padding-right: 2ex;
   vertical-align: middle;
}

.fvalue {
    display: table-cell;
    vertical-align: middle;
}

.var {
    display: table;
    padding: 0ex;
    margin: 0ex;
   vertical-align: middle;
}

.varname {
    color: blue;
    background-color: orange;
    border: ridge thin blue;
    padding: 0.1ex;
   vertical-align: middle;
}

.tree {
  display: block;
  text-align: center;
  empty-cells: hide;
  margin: 1cm;
  font-size: x-large;
}

table[class="node"] {
   display: inline-table;
}

table[class="orguard"] {
   display: inline-table;
   border-left: thick black solid;
   padding: 0ex;
   margin: 0ex;
}

table[class="orblock"] {
   border-top: thin black solid;
   border-bottom: thin black solid;
   padding: 0ex;
   margin: 0ex;
/*   background-color: color; */
}


.nodelabel {
     display: table-caption;
     caption-side: top;
}

.nodestd {
/*     display: table-cell; */
}

.nodeid {
       vertical-align: sub;
       font-size: x-small;
       color: black;
       font-weight: bolder;
}

.nodebody {
   display: table-row;
}

.nodechild {
   display: table-cell;
   vertical-align: top;
   padding-top: 0.1ex;
   padding-right: 0.1ex;
   border-top: solid thin black;
}

.node[type = "lex"] {
   color: magenta;
}

.node[type = "foot"] {
   color: red;
}

.node[type = "subst"] {
   color: blue;
}

.node[type = "anchor"] {
   color: orange;
}

.node[type = "coanchor"] {
   color: magenta;
}

.node[type = "std"] {
   color: black;
}

.node[type = "interleave"] {
   color: red;
}

.node[type = "sequence"] {
   color: green;
}

.node[type = "alternative"] {
   color: green;
}

.nodespecial {
   background-color: lightblue;
   font-size: small;
   font-weight: bolder;	
}

.nodeopt {		
   background-color: lightgrey;	
}

.nodestar {		
   background-color: yellow;	
}

.nodeguard {		
   background-color: lightgreen;	
}

.vAlt {
      color: red;
      font-weight: bolder;
}

.nguard  span.vAlt {
       color: blue;
}

/* should be replaced by a mouseclick javascript action*/
/* .varwithvalue .varname {  */
/*      border-right: thick black solid; */
/* } */

/* .varwithvalue:hover .varname {  */
/*      border-right: thin black solid; */
/* } */

/* .varwithvalue .fvalue {   */
/*        display: none; */
/* } */

/* .varwithvalue:hover .fvalue {   */
/*        display: table-cell; */
/* } */

